Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc.gradle
[Groovy] Class PublishPdf

    java.lang.Object
      org.gradle.api.DefaultTask
          grails.doc.gradle.PublishPdf

    class PublishPdf
    extends DefaultTask

Gradle task for generating a gdoc-based PDF user guide. Assumes the single page HTML user guide has already been created in the default location.

Property Summary
`java.lang.String` | `language`
`java.io.File` | `outputDirectory`
`java.lang.String` | `pdfName`

Method Summary
`java.lang.Object` | `publish()`

Property Detail

### language

    @Input
    java.lang.String language

### outputDirectory

    @OutputDirectory
    @Input
    java.io.File outputDirectory

### pdfName

    @Input
    java.lang.String pdfName

Method Detail

### publish

    @TaskAction
    java.lang.Object publish()

Groovy Documentation